Bug 838131 - [RFE] add security commandline arg to spacewalk-clone-by-date
[RFE] add security commandline arg to spacewalk-clone-by-date
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: FutureFeature, Triaged
Depends On: 801578
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-07-06 13:59 EDT by Stephen Herr
Modified: 2012-11-01 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-utils-1.8.21-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 801578
Environment:
Last Closed: 2012-11-01 12:21:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-07-06 13:59:35 EDT
+++ This bug was initially created as a clone of Bug #801578 +++

Looking at the list of cmdline options in the new spacewalk-clone-by-date tool, I don't see anything security-related.  Is there any chance of being able to add a --security option that would apply only security errata, but would also pull in any necessary dependencies?  In particular, an example I ran into was for security updates to the rhn-client-tools that required a non-security package, python-dmidecode.  This would allow for creating a security-only errata clone that would have no dependency breaks when applied to the client.
Comment 1 Stephen Herr 2012-07-06 14:04:27 EDT
Committed to Spacewalk master: 1986c8a6ca64545c8f711d78e4e189f567c25694
Comment 2 Jan Pazdziora 2012-10-30 15:26:14 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:21:56 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.